# DXGfxLib.ColladaLoader Class Reference

List of all members.

## Public Member Functions
| ColladaLoader (Device device)
void | Load (string fileName)
void | ParseColladaFile (string fileName)
ColladaImage | ParseImage (XmlNode colladaImage, XmlNamespaceManager nsmgr)
ColladaMaterial | ParseMaterial (XmlNode colladaMaterial, XmlNamespaceManager nsmgr)
ColladaEffect | ParseEffect (XmlNode colladaEffect, XmlNamespaceManager nsmgr)
ColladaGeometry | ParseGeometry (XmlNode colladaGeom, XmlNamespaceManager nsmgr)
ColladaSource | ParseSource (XmlNode colladaSource, XmlNamespaceManager nsmgr)
VerticesMapping | ParseVertices (XmlNode colladaVertices, XmlNamespaceManager nsmgr)
Triangles | ParseTriangles (XmlNode colladaTriangles, XmlNamespaceManager nsmgr)
LoadedEntity | BuildGeometryModel3D (ref Hashtable sources, ref Hashtable mappings, Triangles triangles)
| ColladaLoader (Device device)
void | Load (string fileName)
void | ParseColladaFile (string fileName)
ColladaImage | ParseImage (XmlNode colladaImage, XmlNamespaceManager nsmgr)
ColladaMaterial | ParseMaterial (XmlNode colladaMaterial, XmlNamespaceManager nsmgr)
ColladaEffect | ParseEffect (XmlNode colladaEffect, XmlNamespaceManager nsmgr)
ColladaGeometry | ParseGeometry (XmlNode colladaGeom, XmlNamespaceManager nsmgr)
ColladaSource | ParseSource (XmlNode colladaSource, XmlNamespaceManager nsmgr)
VerticesMapping | ParseVertices (XmlNode colladaVertices, XmlNamespaceManager nsmgr)
Triangles | ParseTriangles (XmlNode colladaTriangles, XmlNamespaceManager nsmgr)
LoadedEntity | BuildGeometryModel3D (ref Hashtable sources, ref Hashtable mappings, Triangles triangles)
## Public Attributes
Device | d3ddevice = null
XmlDocument | colladaDocument
Hashtable | colladaGeometries
Hashtable | colladaImages
Hashtable | colladaMaterials
Hashtable | colladaEffects

## Detailed Description

Definition at line 176 of file ColladaLoader.cs.

## Constructor & Destructor Documentation

DXGfxLib.ColladaLoader.ColladaLoader | ( | Device | device | ) |

Definition at line 187 of file ColladaLoader.cs.

DXGfxLib.ColladaLoader.ColladaLoader | ( | Device | device | ) |

Definition at line 187 of file ColladaLoader.cs.

## Member Function Documentation

LoadedEntity DXGfxLib.ColladaLoader.BuildGeometryModel3D | ( | ref Hashtable | sources,
|  | ref Hashtable | mappings,
|  | Triangles | triangles |
| ) |  |  |

Definition at line 449 of file ColladaLoader.cs.

LoadedEntity DXGfxLib.ColladaLoader.BuildGeometryModel3D | ( | ref Hashtable | sources,
|  | ref Hashtable | mappings,
|  | Triangles | triangles |
| ) |  |  |

Definition at line 449 of file ColladaLoader.cs.

Here is the caller graph for this function:

void DXGfxLib.ColladaLoader.Load | ( | string | fileName | ) |

Definition at line 198 of file ColladaLoader.cs.

Here is the call graph for this function:

void DXGfxLib.ColladaLoader.Load | ( | string | fileName | ) |

Definition at line 198 of file ColladaLoader.cs.

Here is the call graph for this function:

void DXGfxLib.ColladaLoader.ParseColladaFile | ( | string | fileName | ) |

Definition at line 227 of file ColladaLoader.cs.

Here is the call graph for this function:

void DXGfxLib.ColladaLoader.ParseColladaFile | ( | string | fileName | ) |

Definition at line 227 of file ColladaLoader.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

ColladaEffect DXGfxLib.ColladaLoader.ParseEffect | ( | XmlNode | colladaEffect,
|  | XmlNamespaceManager | nsmgr |
| ) |  |  |

Definition at line 303 of file ColladaLoader.cs.

ColladaEffect DXGfxLib.ColladaLoader.ParseEffect | ( | XmlNode | colladaEffect,
|  | XmlNamespaceManager | nsmgr |
| ) |  |  |

Definition at line 303 of file ColladaLoader.cs.

Here is the caller graph for this function:

ColladaGeometry DXGfxLib.ColladaLoader.ParseGeometry | ( | XmlNode | colladaGeom,
|  | XmlNamespaceManager | nsmgr |
| ) |  |  |

Definition at line 321 of file ColladaLoader.cs.

Here is the call graph for this function:

ColladaGeometry DXGfxLib.ColladaLoader.ParseGeometry | ( | XmlNode | colladaGeom,
|  | XmlNamespaceManager | nsmgr |
| ) |  |  |

Definition at line 321 of file ColladaLoader.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

ColladaImage DXGfxLib.ColladaLoader.ParseImage | ( | XmlNode | colladaImage,
|  | XmlNamespaceManager | nsmgr |
| ) |  |  |

Definition at line 279 of file ColladaLoader.cs.

ColladaImage DXGfxLib.ColladaLoader.ParseImage | ( | XmlNode | colladaImage,
|  | XmlNamespaceManager | nsmgr |
| ) |  |  |

Definition at line 279 of file ColladaLoader.cs.

Here is the caller graph for this function:

ColladaMaterial DXGfxLib.ColladaLoader.ParseMaterial | ( | XmlNode | colladaMaterial,
|  | XmlNamespaceManager | nsmgr |
| ) |  |  |

Definition at line 289 of file ColladaLoader.cs.

ColladaMaterial DXGfxLib.ColladaLoader.ParseMaterial | ( | XmlNode | colladaMaterial,
|  | XmlNamespaceManager | nsmgr |
| ) |  |  |

Definition at line 289 of file ColladaLoader.cs.

Here is the caller graph for this function:

ColladaSource DXGfxLib.ColladaLoader.ParseSource | ( | XmlNode | colladaSource,
|  | XmlNamespaceManager | nsmgr |
| ) |  |  |

Definition at line 364 of file ColladaLoader.cs.

ColladaSource DXGfxLib.ColladaLoader.ParseSource | ( | XmlNode | colladaSource,
|  | XmlNamespaceManager | nsmgr |
| ) |  |  |

Definition at line 364 of file ColladaLoader.cs.

Here is the caller graph for this function:

Triangles DXGfxLib.ColladaLoader.ParseTriangles | ( | XmlNode | colladaTriangles,
|  | XmlNamespaceManager | nsmgr |
| ) |  |  |

Definition at line 405 of file ColladaLoader.cs.

Triangles DXGfxLib.ColladaLoader.ParseTriangles | ( | XmlNode | colladaTriangles,
|  | XmlNamespaceManager | nsmgr |
| ) |  |  |

Definition at line 405 of file ColladaLoader.cs.

Here is the caller graph for this function:

VerticesMapping DXGfxLib.ColladaLoader.ParseVertices | ( | XmlNode | colladaVertices,
|  | XmlNamespaceManager | nsmgr |
| ) |  |  |

Definition at line 391 of file ColladaLoader.cs.

VerticesMapping DXGfxLib.ColladaLoader.ParseVertices | ( | XmlNode | colladaVertices,
|  | XmlNamespaceManager | nsmgr |
| ) |  |  |

Definition at line 391 of file ColladaLoader.cs.

Here is the caller graph for this function:

## Member Data Documentation

XmlDocument DXGfxLib.ColladaLoader::colladaDocument

Definition at line 179 of file ColladaLoader.cs.

Hashtable DXGfxLib.ColladaLoader::colladaEffects

Definition at line 183 of file ColladaLoader.cs.

Hashtable DXGfxLib.ColladaLoader::colladaGeometries

Definition at line 180 of file ColladaLoader.cs.

Hashtable DXGfxLib.ColladaLoader::colladaImages

Definition at line 181 of file ColladaLoader.cs.

Hashtable DXGfxLib.ColladaLoader::colladaMaterials

Definition at line 182 of file ColladaLoader.cs.

Device DXGfxLib.ColladaLoader::d3ddevice = null

Definition at line 178 of file ColladaLoader.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXGfxLib/ColladaLoader.cs
- D:/guillaume/guillara/3D/DXGfx/DXGfxLib/ColladaLoader.cs